MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001087XdebugUsage problems (Wrong Results)public2014-11-16 08:532014-11-23 18:15
Reporterbrett19 
Assigned Toderick 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform*OS*OS Version*
Product Version2.2.6 
Target VersionFixed in Version2.2.7 
Summary0001087: Segmentation Fault when calling zend_eval_string from RINIT
DescriptionWhen attempting to call zend_eval_string from within the RINIT method of an extension, a segmentation fault will occur from within xdebug. This occurs consistently and does not occur if the same code is evaluated from within a PHP script itself.

```
$ gdb php
(gdb) run -n -d zend_extension=xdebug.so -dextension=modules/couchbase.so --re couchbase
...
Program received signal SIGSEGV, Segmentation fault.
...
(gdb) bt
#0 0x00007fffed533a9e in xdebug_execute_internal (current_execute_data=0x7ffff7f78668, fci=0x0, return_value_used=0)
    at /usr/src/debug/php-pecl-xdebug-2.2.5/NTS/xdebug.c:1589
#1 0x000055555582c3c0 in zend_do_fcall_common_helper_SPEC (execute_data=<optimized out>) at /usr/src/debug/php-5.6.1RC1/Zend/zend_vm_execute.h:560
0000002 0x00005555557c32d8 in execute_ex (execute_data=0x7ffff7f78668) at /usr/src/debug/php-5.6.1RC1/Zend/zend_vm_execute.h:363
0000003 0x0000555555777db9 in dtrace_execute_ex (execute_data=<optimized out>) at /usr/src/debug/php-5.6.1RC1/Zend/zend_dtrace.c:73
0000004 0x00007fffed532fcc in xdebug_execute_ex (execute_data=0x7ffff7f78668) at /usr/src/debug/php-pecl-xdebug-2.2.5/NTS/xdebug.c:1437
0000005 0x000055555577b61a in zend_eval_stringl (
    str=0x7fffed318f10 "/**\n * Various constants used for flags, data-type encoding and decoding, etc...\n * throughout this SDK.\n *\n * @author Brett Lawson <brett19@gmail.com>\n */\n\n/** @internal */ define('COUCHBASE_VAL_MASK"..., str_len=<optimized out>, retval_ptr=retval_ptr@entry=0x0,
    string_name=string_name@entry=0x7fffed318e8b "CouchbaseNative") at /usr/src/debug/php-5.6.1RC1/Zend/zend_execute_API.c:1080
0000006 0x000055555577b6f6 in zend_eval_string (str=<optimized out>, retval_ptr=retval_ptr@entry=0x0, string_name=string_name@entry=0x7fffed318e8b "CouchbaseNative")
    at /usr/src/debug/php-5.6.1RC1/Zend/zend_execute_API.c:1119
0000007 0x00007fffed31497c in zm_activate_couchbase (type=<optimized out>, module_number=<optimized out>) at /tmp/couchbase-2.0.0/couchbase.c:63
0000008 0x0000555555790060 in zend_activate_modules () at /usr/src/debug/php-5.6.1RC1/Zend/zend_API.c:2414
0000009 0x00005555557265da in php_request_startup () at /usr/src/debug/php-5.6.1RC1/main/main.c:1672
0000010 0x000055555582da05 in do_cli (argc=7, argv=0x555555b85880) at /usr/src/debug/php-5.6.1RC1/sapi/cli/php_cli.c:965
0000011 0x0000555555611550 in main (argc=7, argv=0x555555b85880) at /usr/src/debug/php-5.6.1RC1/sapi/cli/php_cli.c:1378
```
Further details available here:
https://www.couchbase.com/issues/browse/PCBC-294 [^]
TagsNo tags attached.
Operating System
PHP Version5.5.20-5.5.25
Attached Files

- Relationships
has duplicate 0001082resolvedderick Segmentation fault when using php-couchbase 

-  Notes
(0002915)
derick (administrator)
2014-11-23 18:15

Fixed for 2.2.7 and 2.3.0dev.

- Issue History
Date Modified Username Field Change
2014-11-16 08:53 brett19 New Issue
2014-11-23 18:15 derick Note Added: 0002915
2014-11-23 18:15 derick Status new => closed
2014-11-23 18:15 derick Assigned To => derick
2014-11-23 18:15 derick Resolution open => fixed
2014-11-23 18:15 derick Fixed in Version => 2.2.7
2014-12-13 20:33 derick Relationship added has duplicate 0001082
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker